const fs = require('fs');
const moment = require('moment');

function list() {
  return new Promise((resolve, reject) => {
    if (!fs.existsSync('data-room.json')) {
      fs.writeFileSync('data-room.json', '');
    }

    fs.readFile('data-room.json', 'utf8', (err, data) => {
      if (err) reject(err);

      let rooms = data ? JSON.parse(data) : [];

      resolve(rooms);
    });
  });
}


function create(password, tai, base ) {
  return new Promise((resolve, reject) => {
    list().then((rooms) => {
      var length = rooms.length;
      const newRoom = {
        roomid: length,
        player: '1',
        password: password,
        tai: tai,
        base: base
      };

      rooms = [newRoom, ...rooms];

      fs.writeFile('data-room.json', JSON.stringify(rooms), (err) => {
        if (err) reject(err);

        resolve(newRoom);
      });


    });
  });
}




function join(name, number, password) {
  return new Promise((resolve, reject) => {
    list().then((rooms) => {
      var length = rooms.length;
      var id = parseInt(number)

      for(var i=0;i<length;i++){
        console.log(rooms[i]);

        if(rooms[i].roomid == id && rooms[i].password === password){
          console.log("model finish");
          resolve(rooms[i])
        }



      }
      reject("No existed room or room is full");



    });
  });
}

module.exports = {
  list,
  create,
  join,
};
