const express = require('express');
const bodyParser = require('body-parser');
const accessController = require('../middleware/access-controller.js');

const roomModel = require('../model/room.js');

const router = express.Router();

router.use(bodyParser.json());



// Create
router.post('/create', function (req, res, next) {


  const { name, password, tai, base } = req.body;
  // console.log(req);
  if (!name || !tai || !base || !password) {
    const err = new Error('name, tai, base and password are required');
    err.status = 400;
    throw err;
  }


  roomModel.create(password, tai, base).then((room) => {res.json(room);}).catch(next);

});



router.post('/join', function (req, res, next) {


  const { name, number, password } = req.body;
  if (!name || !number || !password) {
    const err = new Error('name number and password are required');
    err.status = 400;
    throw err;
  }


  roomModel.join(name, number, password).then((room) => {
    console.log("here in router");
    console.log(room);
    res.json(room);}).catch(next);

});



module.exports = router;
