require('../config.js');
const express = require('express');

const requestLogger = require('./middleware/request-logger.js');
const errorHandler = require('./middleware/error-handler.js');
const accessController = require('./middleware/access-controller.js');
const roomRouter = require('./router/room.js');
const app = express();

// app.use(requestLogger); // debug only

app.use(
  express.static('dist', {
    setHeaders: (res, path, stat) => {
      res.set('Cache-Control', 'public, s-maxage=86400');
    },
  })
);
app.use(accessController); // Allows cross-origin HTTP requests


app.use('/api/room', roomRouter);
// app.use('/api/hu', huRouter);
// app.use('/api/gan', ganRouter);
// app.use('/api/listen', listenRouter);

app.get('/*', (req, res) => res.redirect('/'));
app.use(errorHandler);

const port = 9990;
app.listen(port, () => {
  console.log(`Server is up and running on port ${port}...`);
});
