import React from 'react';
import { CreateRoomapi } from '../api/room.js';
import { BrowserRouter as Router, Route, Link } from 'react-router-dom';
import {
  Collapse,
  Navbar,
  NavbarToggler,
  NavbarBrand,
  Nav,
  NavItem,
  NavLink,
  Input,
  Button,
} from 'reactstrap';


export default class CreateRoom extends React.Component {
  constructor(props) {
    super(props);

    this.state = {
      roomid: '',
      inputDanger: false,
      password: '',
      name: '',
      base: '',
      tai: '',
      now: "none;",
    };

    this.changeURLArg = this.changeURLArg.bind(this);
    this.handleconfirm = this.handleconfirm.bind(this);
    this.handlePasswordChange = this.handlePasswordChange.bind(this);
    this.handleNameChange = this.handleNameChange.bind(this);
    this.handleBaseChange = this.handleBaseChange.bind(this);
    this.handleTaiChange = this.handleTaiChange.bind(this);


  }




  render() {
    const {password, name, base, tai, now} = this.state;
    return(
      <div>
        <h1 className="text-center p-4 mb-5 bg-primary text-white">創建房間</h1>

        <div className="text-center  w-50 mx-auto ">

          
          <h4 className="text-primary text-left">請設定密碼</h4>
          <Input placeholder = "密碼" className="mx-auto mb-4"></Input>
          <h4 className="text-primary text-left">請輸入暱稱</h4>
          <Input placeholder="暱稱" className="mx-auto mb-4"></Input>
          <h4 className="text-primary text-left">請輸入底台</h4>
          <Input placeholder="底" className=" mx-auto mb-2" ></Input>
          <Input placeholder="一台" className="mx-auto mb-4"></Input>
          
      </div>

        <div className="container text-center w-75 mt-5">
        <div className="row mt-5">
            <div className="col">
            <NavLink tag={Link} to="/">
              <div className="btn btn-primary box box1 border rounded-pill">
                  返回
              </div>
            </NavLink>
            </div>
            <div className="col">


            <Button className='btn btn-primary box box1 border rounded-pill' color="info" onClick={this.handleconfirm} >
              <div>確定</div>
            </Button>


            <NavLink tag={Link} to={"/waiting?roomid=" + this.state.roomid} >
              <div className='btn btn-primary box box1 border rounded-pill' color="info" display = {this.state.now}>下一頁</div>
            </NavLink>






            </div>
          </div>
        </div>
      </div>

    );

  }

  handleconfirm(){
    if(!this.state.password || !this.state.tai || !this.state.name || !this.state.base )
      alert('請完整輸入資料');
    console.log(this.state.now);
    CreateRoomapi(this.state.name, this.state.password, this.state.tai, this.state.base).
    then(roominfo =>{

      this.setState({roomid: roominfo.roomid},

        ()=>{
          this.state.now = "block";
          console.log(this.state.now);
        });

    }).catch(err=>{console.log(err)});



  }




  handlePasswordChange(e) {
    const pd = e.target.value
    this.setState({
        password: pd
    })
    if (pd && this.state.inputDanger) {
        this.setState({
            inputDanger: false
        })
    }
  }


  handleNameChange(e) {
    const na = e.target.value
    this.setState({
        name: na
    })
    if (na && this.state.inputDanger) {
        this.setState({
            inputDanger: false
        })
    }
  }


  handleTaiChange(e) {
    const ta = e.target.value
    this.setState({
        tai: ta
    })
    if (ta && this.state.inputDanger) {
        this.setState({
            inputDanger: false
        })
    }
  }


  handleBaseChange(e) {
    const ba = e.target.value
    this.setState({
        base: ba
    })
    if (ba && this.state.inputDanger) {
        this.setState({
            inputDanger: false
        })
    }
  }



  changeURLArg(url,arg,arg_val){
    var pattern= arg + '=([^&]*)';
    var replaceText=arg+'='+arg_val;
    var new_url = url.replace('createroom', 'waiting');

    if(url.match(pattern)){
        var tmp='/('+ arg+'=)([^&]*)/gi';
        tmp=url.replace(eval(tmp),replaceText);
        return tmp;
    }
    else{
        if(url.match('[\?]')){
            return new_url+'&'+replaceText;
        }else{
            return new_url+'?'+replaceText;
        }
    }
  }
}




