import React from 'react';
import {JoinRoomapi} from '../api/room.js';
import { BrowserRouter as Router, Route, Link } from 'react-router-dom';
import {
  Collapse,
  Navbar,
  NavbarToggler,
  NavbarBrand,
  Nav,
  NavItem,
  NavLink,
  Input,
  Button,
} from 'reactstrap';



export default class JoinRoom extends React.Component {
  constructor(props) {
    super(props);
    this.state = {
      roomid: '',
      inputDanger: false,
      password: '',
      name: '',
    };


    this.handleconfirm = this.handleconfirm.bind(this);
    this.handleNumberChange = this.handleNumberChange.bind(this);
    this.handlePasswordChange = this.handlePasswordChange.bind(this);
    this.handleNameChange = this.handleNameChange.bind(this);

  }

  render() {
    return(
      <div>

        <h1 className="text-center p-4 mb-5 bg-primary text-white">加入房間</h1>

        <div className="text-center  w-50 mx-auto ">
          
          <h4 className="text-primary text-left">請輸入房號</h4>
          <Input placeholder = "房號" className="mx-auto" onChange={this.handleNumberChange}></Input>
          <h4 className="text-primary text-left">請輸入密碼</h4>
          <Input placeholder="密碼" className="mx-auto" onChange={this.handlePasswordChange}></Input>
          <h4 className="text-primary text-left">請輸入暱稱</h4>
          <Input placeholder="暱稱" className=" mx-auto" onChange={this.handleNameChange}></Input>
          </div>


        <div className="container text-center w-75 mt-5">
        <div className="row mt-5">
            <div className="col">
            <NavLink tag={Link} to="/">
              <div className="btn btn-primary box box1 border rounded-pill">
                  返回
              </div>
            </NavLink>
            </div>
            <div className="col">


            <Button onClick={this.handleconfirm} >
              <div className="btn btn-primary box box1 border rounded-pill">
                  確定
              </div>
            </Button>



            <NavLink tag={Link} to={"/waiting?roomid=" + this.state.roomid} >
              <div className='btn btn-primary box box1 border rounded-pill' color="info" >下一頁</div>
            </NavLink>
            </div>
          </div>
        </div>
        
      </div>

    );

  }

  handleconfirm(){
    if(!this.state.password || !this.state.name || !this.state.roomid )
      alert('請完整輸入資料');

    JoinRoomapi(this.state.name, this.state.roomid, this.state.password).
    then(roominfo=>{console.log(roominfo)}).catch(err=>{console.log(err)});



  }


  handlePasswordChange(e) {
    const pd = e.target.value
    this.setState({
        password: pd
    })
    if (pd && this.state.inputDanger) {
        this.setState({
            inputDanger: false
        })
    }
  }


  handleNameChange(e) {
    const na = e.target.value
    this.setState({
        name: na
    })
    if (na && this.state.inputDanger) {
        this.setState({
            inputDanger: false
        })
    }
  }

  handleNumberChange(e) {
    const num = e.target.value
    this.setState({
        roomid: num
    })
    if (num && this.state.inputDanger) {
        this.setState({
            inputDanger: false
        })
    }
  }

}

