import React from 'react';
import { BrowserRouter as Router, Route, Link } from 'react-router-dom';
import {
  Collapse,
  Navbar,
  NavbarToggler,
  NavbarBrand,
  Nav,
  NavItem,
  NavLink,
  Input,
  Button,
} from 'reactstrap';

import Start from 'components/Start.jsx';
import JoinRoom from 'components/JoinRoom.jsx';
import Waiting from 'components/Waiting.jsx';
import Playing from 'components/Playing.jsx';
import Ending from 'components/Ending.jsx';
import CreateRoom from 'components/CreateRoom.jsx';

export default class Main extends React.Component {
  constructor(props) {
    super(props);

    this.state = {
      roomid: '',
      password: '',
      name: '',
      base: '',
      tai: '',
    };

  }

  render() {
    return(
      <Router>
        <div>

          <Route
            exact path= "/"
            render={() => (
              <Start/>
            )}
          />

          <Route
            path = "/createroom"
            render={() => (
              <CreateRoom/>
            )}
          />

          <Route
            path= "/joinroom"
            render={() => (
              <JoinRoom/>
            )}
          />

          <Route
            path = "/waiting"
            render={() => (
              <Waiting />
            )}
          />
          <Route
            path = "/playing"
            render={() => (
              <Playing/>
            )}
          />
          <Route
            path = "/ending"
            render={() => (
              <Ending/>
            )}
          />

        </div>
      </Router>

    );

  }

}

